Subject: EP80579 (Tolapai) Ethernet adapter

From: Sven Anders <[email-masked]>
Date: Wed, 10 Jun 2009 14:22:32 +0200

Hello!

I want to use the ethernet adapter on my Intel Tolapai based
board. The machine has the EP80579 Integrated Processor
(aka Tolapai) on it.

I check the latest Linux kernel for support, but it is not
supported.

Then I checked the Intel website and found a development kit,
which has a driver, but the development kit requires the old
kernel 2.6.18 whereas I want to use the latest kernel.

Unfortunatly I have not found any email address in the sources
to make direct contact. That's why I'll ask my questions here.

1) Do anybody know about the development of an (newer) driver?
2) What's the best way to contact the Intel development crew?
3) Can I use any other existing driver (by adding simply the
   PCI IDs)?
4) Should I adapt the existing driver (from Intel) to the
   newer kernel and try to get it merged? The code is GPL, so
   this is no problem. Any experiences? As I stated before,
   I do lack any direct contact, so I'm not sure what's the
   best way to proceed?!

Maybe anybody can help me in this issue...

Regards
 Sven
-- 
 Sven Anders <[email-masked]>                 () Ascii Ribbon Campaign
                                                 /\ Support plain text e-mail
 ANDURAS service solutions AG
 Innstraße 71 - 94036 Passau - Germany
 Web: www.anduras.de - Tel: +49 (0)851-4 90 50-0 - Fax: +49 (0)851-4 90 50-55

Rechtsform: Aktiengesellschaft - Sitz: Passau - Amtsgericht Passau HRB 6032
Mitglieder des Vorstands: Sven Anders, Marcus Junker
Vorsitzender des Aufsichtsrats: Mark Peters